Recent

Author Topic: Lazarus and Ubuntu 9.10  (Read 22744 times)

Tourniquet

  • New member
  • *
  • Posts: 9
Lazarus and Ubuntu 9.10
« on: October 30, 2009, 07:57:07 pm »
Hey :)
Im new to lazarus and Linux. I installed it with the Software Center and i thought it worked fine, but once i click on the 'onclick' event or 'oncreate' or something, i get the following error:

Code: [Select]
/usr/lib/lazarus/lcl/forms.pp(44,19) Error: Quelltext nicht gefunden: Unit /usr/lib/fpc/2.2.4/units/x86_64-linux/fcl-base/gettext.ppu
Also the unit 'forms' opens marks the following line:

Code: [Select]
{$ufndef wince}, gettext{$endif}// remove ifdefs when gettext is fiexed and a new fpc is released
Any idea?

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
Re: Lazarus and Ubuntu 9.10
« Reply #1 on: October 30, 2009, 08:31:12 pm »
Did you install the fpc-src package?

Tourniquet

  • New member
  • *
  • Posts: 9
Re: Lazarus and Ubuntu 9.10
« Reply #2 on: October 30, 2009, 11:08:12 pm »
yes.

Ocye

  • Hero Member
  • *****
  • Posts: 518
    • Scrabble3D
Re: Lazarus and Ubuntu 9.10
« Reply #3 on: October 31, 2009, 11:15:12 am »
Maybe it's not relevant here. With release 9.10 of Ubuntu gtk1.2 was removed completely. I'm using 9.04 and needed to install it to build FPC and Lazarus from Svn. On the other hand, it wasn't installed if one uses percompiled packages, IIRC.
Lazarus 1.7 (SVN) FPC 3.0.0

thierrybo

  • Full Member
  • ***
  • Posts: 123
Re: Lazarus and Ubuntu 9.10
« Reply #4 on: October 31, 2009, 03:23:22 pm »
Uninstall Ubuntu repository version and install freepascal repository version instead.

Tourniquet

  • New member
  • *
  • Posts: 9
Re: Lazarus and Ubuntu 9.10
« Reply #5 on: October 31, 2009, 03:30:04 pm »
Oh, well. The problem was, i did not restart my computer after i installed the fpc-src package. So i got this problem. After i restarted it, the problem was gone for good :)

Troodon

  • Sr. Member
  • ****
  • Posts: 484
Re: Lazarus and Ubuntu 9.10
« Reply #6 on: October 31, 2009, 09:11:31 pm »
Ubuntu 9.10 comes with lazarus-0.9.26 (in the repos). There is a lazarus metapackage in Synaptic that includes everything you need to run Lazarus/FPC. After you install it, add the Lazarus repositories as indicated at http://wiki.lazarus.freepascal.org/Getting_Lazarus#Getting_Lazarus_from_our_Ubuntu_repository. Finally, do a package upgrade via Synaptic.
Lazarus/FPC on Linux

medamarko

  • New member
  • *
  • Posts: 8
Re: Lazarus and Ubuntu 9.10
« Reply #7 on: November 16, 2009, 07:45:37 am »
I'm also having issues on installing Lazarus IDE on ubuntu 9.10.
If i choose to install it from Ubuntu Software Center i get "Package Dependencies cannot be resolved".
Also i tried it manually, first downloaded fpc-2.2.4.i386-linux.tar and when i run install.sh i get this error:
"No native FPC found. For a proper installation of a cross FPC the installation of a native FPC is required."

Can somebody help me?

Best Regards

Troodon

  • Sr. Member
  • ****
  • Posts: 484
Re: Lazarus and Ubuntu 9.10
« Reply #8 on: November 16, 2009, 02:10:00 pm »
I'm also having issues on installing Lazarus IDE on ubuntu 9.10.

Can somebody help me?

Try Synaptic.
Lazarus/FPC on Linux

medamarko

  • New member
  • *
  • Posts: 8
Re: Lazarus and Ubuntu 9.10
« Reply #9 on: November 16, 2009, 04:04:35 pm »
Hi,

Quote
Try Synaptic.
Also didn't work. I recorded video which is showing errors.
http://www.youtube.com/watch?v=SHMzraNktEg
Any help is appreciated.

Thanks

Troodon

  • Sr. Member
  • ****
  • Posts: 484
Re: Lazarus and Ubuntu 9.10
« Reply #10 on: November 16, 2009, 04:53:17 pm »
That is weird. I installed Ubuntu 9.10 (both 32 and 64 bit) on two machines and then I installed Lazarus using Synaptic and everything went fine. Did you upgrade to 9.10 or did you do a fresh install? I had to do a fresh install on one of my computers, upgrade from 9.04 didn't work out well. Anyway, you can try this using Synaptic:

- uninstall all lazarus* and all fpc*/fp-* packages
- run Package|Fix Broken Packages (just in case)
- click the Search button and enter "lazarus"; that should list exactly four packages. Select for installation only the first one (the Lazarus metapackage, which includes everything you need); all dependencies will be automatically selected (including the fpc packages, which are not listed in your Synaptic panel at this time). Click the Apply button to install. This should install 0.9.26; you will upgrade to 0.9.28 by adding the Lazarus/FPC repositories when this step is successfully completed.

Let me know if you get any error messages so far.
« Last Edit: November 16, 2009, 07:21:22 pm by Troodon »
Lazarus/FPC on Linux

Fred vS

  • Hero Member
  • *****
  • Posts: 1871
    • StrumPract is the musicians best friend
Re: Lazarus and Ubuntu 9.10
« Reply #11 on: November 19, 2009, 04:54:46 pm »
Hello everybody.
If you have problems to reinstall Lazarus and fpc (some files earesed, etc) and if you get everytimes errors message from Synaptic here is my way to complete erase Lazarus and fpc.
Ones you have completely erased it, it is easier to install a frech version.

1- Try to uninstall via Synaptic and complete erase option.
2- Delete the /.lazarus folder in /home/your user name (press on Ctrl + H if you dont see it)
3- In a console run : sudo cp /var/lib/dpkg/status /var/lib/dpkg/status-old
4- Edit with root privilege (sudo) /var/lib/dpkg/status
5- Erase all sections related to package fpc and lazarus and save changes.
6- In console : sudo dpkg --configure -a
7- In console : sudo apt-get -f install
8- In console : sudo apt-get update

Then reinstall fpc-source, fpc and lazarus. (if you get message "Old fpc config finded" choose Install new config from administrator package.)

Hope it will help you.  ;)
« Last Edit: November 19, 2009, 07:32:42 pm by fredvs »
I use Lazarus 2.0.6 32/64 and FPC 3.2.0 32/64 on Debian 10.2 64 bit, Windows 10, Windows 7 32/64, Windows XP 32,  FreeBSD 64 and Mac OS X Snow Leopard 32.
Widgetset: fpGUI, MSEgui, Win32, GTK2, Qt, Carbon.

https://github.com/fredvs
https://gitlab.com/fredvs

TurboRascal

  • Hero Member
  • *****
  • Posts: 672
  • "Good sysadmin. Bad programmer."™
Re: Lazarus and Ubuntu 9.10
« Reply #12 on: November 21, 2009, 05:28:15 pm »
Also i tried it manually, first downloaded fpc-2.2.4.i386-linux.tar and when i run install.sh i get this error:
"No native FPC found. For a proper installation of a cross FPC the installation of a native FPC is required."


Do you have 32-bit or 64-bit Ubuntu?
Regards, ArNy the Turbo Rascal
-
"The secret is to give them what they need, not what they want." - Scotty, STTNG:Relics

Mike J

  • Jr. Member
  • **
  • Posts: 54
  • Computer Programmer/www.NewsRx.com
    • ᏣᎳᎩ ᎦᏬᏂᎯᏍᏗ ᏗᏕᎶᏆᏍᏗ (Cherokee Language Lessons)
ᏙᎯ

panoss

  • Full Member
  • ***
  • Posts: 156
  • You only live twice
Re: Lazarus and Ubuntu 9.10
« Reply #14 on: February 14, 2011, 08:06:26 am »
Hi everybody.
I have Ubuntu 9.10, upgrade from older version, not fresh install.
I'm having problems trying to install Lazarus on it.
I tried with .deb and then with Synaptic.
They both failed.
In Synaptic the message is:
Lazarus: depends on: lazarus-ide (>= 0.9.26.2-2) but will not get installed
Suggests: fpc but will not get installed.
I've tried actions suggested in this topic, but no success.
Windows 7 32bit, Lazarus v1.8.4    FPC 3.0.4.

 

TinyPortal © 2005-2018